import { Reducer } from 'redux'
/**
 * A helper to create reducers (uses immer)
 */
export declare const createReducer: <S>(
  DEFAULT: S,
  ...mixins: object[]
) => Reducer<S, import('redux').AnyAction>
/**
 * A helper to create reducers (without immer)
 */
export declare const createBaseReducer: <S>(
  DEFAULT: S,
  ...mixins: object[]
) => Reducer<S, import('redux').AnyAction>
export declare const buildStructuredReducer: (reducer: any) => any
